/**
 * ActRelationshipObjective.java
 *
 * File generated from the medication::ActRelationshipObjective uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipObjective.
 *
 * 
 */

@XmlType(name = "ActRelationshipObjective")
@XmlEnum
@XmlRootElement(name = "ActRelationshipObjective")
public enum ActRelationshipObjective {
	@XmlEnumValue("OBJC")
	OBJC("OBJC"),
	@XmlEnumValue("OBJF")
	OBJF("OBJF");
	
	private final String value;

    ActRelationshipObjective(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipObjective fromValue(String v) {
        for (ActRelationshipObjective c: ActRelationshipObjective.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}